All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
check_positive.hpp File Reference
`#include <stan/math/prim/scal/err/domain_error.hpp>`
`#include <stan/math/prim/scal/err/domain_error_vec.hpp>`
`#include <stan/math/prim/scal/meta/value_type.hpp>`
`#include <stan/math/prim/scal/meta/length.hpp>`
`#include <stan/math/prim/scal/meta/get.hpp>`
`#include <stan/math/prim/scal/meta/is_vector_like.hpp>`
`#include <boost/type_traits/is_unsigned.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T_y >
bool | stan::math::check_positive (const char *function, const char *name, const T_y &y)
| Return `true` if `y` is positive. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.